Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshR

    java.lang.Object
      igeo.IObject
          igeo.IMeshR

All Implemented Interfaces:
  IMeshI, ITransformable

    public class IMeshR

extends IObject
implements IMeshI

Reference class of polygon mesh object containing any instance of IMeshI.

Author:
  Satoru Sugihara

Field Summary
`IMeshI` | `mesh`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IMeshR(IMeshI m)`
`IMeshR(IMeshR m)`
`IMeshR(IServerI s, IMeshI m)`
`IMeshR(IServerI s, IMeshR m)`

Method Summary
`IMeshR` | `add(double x, double y, double z)` ITransformable methods
`IMeshR` | `add(double f, IVecI v)` scale add alias
`IMeshR` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IMeshR` | `add(IDoubleI f, IVecI v)` scale add alias
`IMeshR` | `add(IVecI v)`
`IMeshR` | `add(IVecI v, double f)` scale add
`IMeshR` | `add(IVecI v, IDoubleI f)` scale add
`IVecI` | `center()` center point of mesh
`IMeshR` | `close()` only setting value to closed.
`IMeshR` | `clr(java.awt.Color c)`
`IMeshR` | `clr(java.awt.Color c, double alpha)`
`IMeshR` | `clr(java.awt.Color c, float alpha)`
`IMeshR` | `clr(java.awt.Color c, int alpha)`
`IMeshR` | `clr(double dgray)`
`IMeshR` | `clr(double dgray, double dalpha)`
`IMeshR` | `clr(double dr, double dg, double db)`
`IMeshR` | `clr(double dr, double dg, double db, double da)`
`IMeshR` | `clr(float fgray)`
`IMeshR` | `clr(float fgray, float falpha)`
`IMeshR` | `clr(float fr, float fg, float fb)`
`IMeshR` | `clr(float fr, float fg, float fb, float fa)`
`IMeshR` | `clr(IColor c)` to set an object color
`IMeshR` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IMeshR` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IMeshR` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IMeshR` | `clr(int gray)`
`IMeshR` | `clr(int gray, int alpha)`
`IMeshR` | `clr(int r, int g, int b)`
`IMeshR` | `clr(int r, int g, int b, int a)`
`IMeshR` | `clr(IObject o)` to set the same color with the object
`IMeshR` | `cp()` cp() is alias of dup()
`IMeshR` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IMeshR` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
`IMeshR` | `cp(IVecI v)`
`IGraphicObject` | `createGraphic(igeo.gui.IGraphicMode m)`
`IMeshR` | `deleteEdge(IEdge e)`
`IMeshR` | `deleteEdge(IIntegerI i)`
`IMeshR` | `deleteEdge(int i)`
`IMeshR` | `deleteFace(IFace f)`
`IMeshR` | `deleteFace(IIntegerI i)`
`IMeshR` | `deleteFace(int i)`
`IMeshR` | `deleteVertex(IIntegerI i)`
`IMeshR` | `deleteVertex(int i)`
`IMeshR` | `deleteVertex(IVertex v)`
`IMeshR` | `div(double v)`
`IMeshR` | `div(IDoubleI v)`
`IMeshR` | `dup()` duplicate object
`IEdge` | `edge(IIntegerI i)`
`IEdge` | `edge(int i)`
`int` | `edgeNum()`
`int` | `edgeNum(ISwitchE e)`
`IIntegerI` | `edgeNum(ISwitchR r)`
`java.util.ArrayList<IEdge>` | `edges()` return all edges
`IFace` | `face(IIntegerI i)`
`IFace` | `face(int i)`
`int` | `faceNum()`
`int` | `faceNum(ISwitchE e)`
`IIntegerI` | `faceNum(ISwitchR r)`
`java.util.ArrayList<IFace>` | `faces()` return all faces
`IMeshR` | `flip()` alias of neg
`IMeshGeo` | `get()`
`IMeshR` | `hide()`
`IMeshR` | `hsb(double h, double s, double b)`
`IMeshR` | `hsb(double h, double s, double b, double a)`
`IMeshR` | `hsb(float h, float s, float b)`
`IMeshR` | `hsb(float h, float s, float b, float a)`
`void` | `initMesh(IServerI s)`
`boolean` | `isClosed()`
`IMeshR` | `layer(ILayer l)` Set layer by ILayer object
`IMeshR` | `mirror(IVecI planeDir)` mirror is alias of ref
`IMeshR` | `mirror(IVecI center, IVecI planeDir)`
`IMeshR` | `mul(double v)`
`IMeshR` | `mul(IDoubleI v)`
`IMeshR` | `mv(double x, double y, double z)` mv() is alias of add()
`IMeshR` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)`
`IMeshR` | `mv(IVecI v)`
`IMeshR` | `name(java.lang.String nm)`
`IMeshR` | `neg()`
`IMeshR` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IMeshR` | `ref(IVecI center, IVecI planeDir)`
`IMeshR` | `rev()` alias of neg
`IMeshR` | `rot(double angle)`
`IMeshR` | `rot(IDoubleI angle)` rotation around z-axis and origin
`IMeshR` | `rot(IVecI axis, double angle)`
`IMeshR` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IMeshR` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IMeshR` | `rot(IVecI center, IVecI axis, double angle)`
`IMeshR` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`IMeshR` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IMeshR` | `rot2(double angle)` rotation on xy-plane around origin; same with rot(double)
`IMeshR` | `rot2(IDoubleI angle)` rotation on xy-plane around origin; same with rot(IDoubleI)
`IMeshR` | `rot2(IVecI destDir)` rotation on xy-plane to destination direction vector
`IMeshR` | `rot2(IVecI center, double angle)`
`IMeshR` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane around center
`IMeshR` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane to destination point location
`IMeshR` | `scale(double f)`
`IMeshR` | `scale(IDoubleI f)` alias of mul
`IMeshR` | `scale(IVecI center, double f)`
`IMeshR` | `scale(IVecI center, IDoubleI f)`
`IMeshR` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IMeshR` | `scale1d(IVecI axis, IDoubleI f)`
`IMeshR` | `scale1d(IVecI center, IVecI axis, double f)`
`IMeshR` | `scale1d(IVecI center, IVecI axis, IDoubleI f)`
`IMeshR` | `setColor(java.awt.Color c)`
`IMeshR` | `setColor(java.awt.Color c, int alpha)`
`IMeshR` | `setColor(double dgray)`
`IMeshR` | `setColor(double dgray, double dalpha)`
`IMeshR` | `setColor(double dr, double dg, double db)`
`IMeshR` | `setColor(double dr, double dg, double db, double da)`
`IMeshR` | `setColor(float fgray)`
`IMeshR` | `setColor(float fgray, float falpha)`
`IMeshR` | `setColor(float fr, float fg, float fb)`
`IMeshR` | `setColor(float fr, float fg, float fb, float fa)`
`IMeshR` | `setColor(int gray)`
`IMeshR` | `setColor(int gray, int alpha)`
`IMeshR` | `setColor(int r, int g, int b)`
`IMeshR` | `setColor(int r, int g, int b, int a)`
`IMeshR` | `setHSBColor(double h, double s, double b)`
`IMeshR` | `setHSBColor(double h, double s, double b, double a)`
`IMeshR` | `setHSBColor(float h, float s, float b)`
`IMeshR` | `setHSBColor(float h, float s, float b, float a)`
`IMeshR` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IMeshR` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IMeshR` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)`
`IMeshR` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)`
`IMeshR` | `shearXY(double sxy, double syx)`
`IMeshR` | `shearXY(IDoubleI sxy, IDoubleI syx)`
`IMeshR` | `shearXY(IVecI center, double sxy, double syx)`
`IMeshR` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)`
`IMeshR` | `shearYZ(double syz, double szy)`
`IMeshR` | `shearYZ(IDoubleI syz, IDoubleI szy)`
`IMeshR` | `shearYZ(IVecI center, double syz, double szy)`
`IMeshR` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)`
`IMeshR` | `shearZX(double szx, double sxz)`
`IMeshR` | `shearZX(IDoubleI szx, IDoubleI sxz)`
`IMeshR` | `shearZX(IVecI center, double szx, double sxz)`
`IMeshR` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)`
`IMeshR` | `show()`
`IMeshR` | `sub(double x, double y, double z)`
`IMeshR` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IMeshR` | `sub(IVecI v)`
`IMeshR` | `transform(IMatrix3I mat)`
`IMeshR` | `transform(IMatrix4I mat)`
`IMeshR` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)`
`IMeshR` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)`
`IMeshR` | `translate(double x, double y, double z)` translate() is alias of add()
`IMeshR` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)`
`IMeshR` | `translate(IVecI v)`
`IVertex` | `vertex(IIntegerI i)`
`IVertex` | `vertex(int i)`
`int` | `vertexNum()`
`int` | `vertexNum(ISwitchE e)`
`IIntegerI` | `vertexNum(ISwitchR r)`
`java.util.ArrayList<IVertex>` | `vertices()` return all vertices
`IMeshR` | `weight(double w)`
`IMeshR` | `weight(float w)`

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, defaultAttribute, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IMeshI
`isValid`

Field Detail

### mesh

    public IMeshI mesh

Constructor Detail

### IMeshR

    public IMeshR(IMeshI m)

### IMeshR

    public IMeshR(IServerI s,
                  IMeshI m)

### IMeshR

    public IMeshR(IMeshR m)

### IMeshR

    public IMeshR(IServerI s,
                  IMeshR m)

Method Detail

### initMesh

    public void initMesh(IServerI s)

### createGraphic

    public IGraphicObject createGraphic(igeo.gui.IGraphicMode m)

  Overrides:
    `createGraphic` in class `IObject`

### get

    public IMeshGeo get()

  Specified by:
    `get` in interface `IMeshI`

### dup

    public IMeshR dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IMeshI`
  Specified by:
    `dup` in interface `ITransformable`
  Overrides:
    `dup` in class `IObject`

### vertexNum

    public int vertexNum()

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum()

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum()

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public int vertexNum(ISwitchE e)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public int edgeNum(ISwitchE e)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public int faceNum(ISwitchE e)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertexNum

    public IIntegerI vertexNum(ISwitchR r)

  Specified by:
    `vertexNum` in interface `IMeshI`

### edgeNum

    public IIntegerI edgeNum(ISwitchR r)

  Specified by:
    `edgeNum` in interface `IMeshI`

### faceNum

    public IIntegerI faceNum(ISwitchR r)

  Specified by:
    `faceNum` in interface `IMeshI`

### vertices

    public java.util.ArrayList<IVertex> vertices()

  return all vertices

  Specified by:
    `vertices` in interface `IMeshI`

### edges

    public java.util.ArrayList<IEdge> edges()

  return all edges

  Specified by:
    `edges` in interface `IMeshI`

### faces

    public java.util.ArrayList<IFace> faces()

  return all faces

  Specified by:
    `faces` in interface `IMeshI`

### deleteVertex

    public IMeshR deleteVertex(int i)

  Specified by:
    `deleteVertex` in interface `IMeshI`

### deleteEdge

    public IMeshR deleteEdge(int i)

  Specified by:
    `deleteEdge` in interface `IMeshI`

### deleteFace

    public IMeshR deleteFace(int i)

  Specified by:
    `deleteFace` in interface `IMeshI`

### deleteVertex

    public IMeshR deleteVertex(IIntegerI i)

  Specified by:
    `deleteVertex` in interface `IMeshI`

### deleteEdge

    public IMeshR deleteEdge(IIntegerI i)

  Specified by:
    `deleteEdge` in interface `IMeshI`

### deleteFace

    public IMeshR deleteFace(IIntegerI i)

  Specified by:
    `deleteFace` in interface `IMeshI`

### deleteVertex

    public IMeshR deleteVertex(IVertex v)

  Specified by:
    `deleteVertex` in interface `IMeshI`

### deleteEdge

    public IMeshR deleteEdge(IEdge e)

  Specified by:
    `deleteEdge` in interface `IMeshI`

### deleteFace

    public IMeshR deleteFace(IFace f)

  Specified by:
    `deleteFace` in interface `IMeshI`

### vertex

    public IVertex vertex(int i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(int i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(int i)

  Specified by:
    `face` in interface `IMeshI`

### vertex

    public IVertex vertex(IIntegerI i)

  Specified by:
    `vertex` in interface `IMeshI`

### edge

    public IEdge edge(IIntegerI i)

  Specified by:
    `edge` in interface `IMeshI`

### face

    public IFace face(IIntegerI i)

  Specified by:
    `face` in interface `IMeshI`

### center

    public IVecI center()

  Description copied from interface: `IMeshI`
  center point of mesh

  Specified by:
    `center` in interface `IMeshI`

### close

    public IMeshR close()

  only setting value to closed. checking no connection of mesh

  Specified by:
    `close` in interface `IMeshI`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `IMeshI`

### name

    public IMeshR name(java.lang.String nm)

  Overrides:
    `name` in class `IObject`

### layer

    public IMeshR layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### hide

    public IMeshR hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IMeshR show()

  Overrides:
    `show` in class `IObject`

### clr

    public IMeshR clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(IColor c,
                      int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(IColor c,
                      float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(IColor c,
                      double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c,
                      int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c,
                      float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(java.awt.Color c,
                      double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int gray,
                      int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fgray,
                      float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dgray,
                      double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int r,
                      int g,
                      int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fr,
                      float fg,
                      float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dr,
                      double dg,
                      double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(int r,
                      int g,
                      int b,
                      int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(float fr,
                      float fg,
                      float fb,
                      float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public IMeshR clr(double dr,
                      double dg,
                      double db,
                      double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IMeshR hsb(float h,
                      float s,
                      float b,
                      float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(double h,
                      double s,
                      double b,
                      double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(float h,
                      float s,
                      float b)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IMeshR hsb(double h,
                      double s,
                      double b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IMeshR setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(java.awt.Color c,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int gray,
                           int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fgray,
                           float falpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dgray,
                           double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int r,
                           int g,
                           int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fr,
                           float fg,
                           float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dr,
                           double dg,
                           double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(int r,
                           int g,
                           int b,
                           int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(float fr,
                           float fg,
                           float fb,
                           float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IMeshR setColor(double dr,
                           double dg,
                           double db,
                           double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(float h,
                              float s,
                              float b,
                              float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(double h,
                              double s,
                              double b,
                              double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(float h,
                              float s,
                              float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IMeshR setHSBColor(double h,
                              double s,
                              double b)

  Overrides:
    `setHSBColor` in class `IObject`

### weight

    public IMeshR weight(double w)

  Overrides:
    `weight` in class `IObject`

### weight

    public IMeshR weight(float w)

  Overrides:
    `weight` in class `IObject`

### add

    public IMeshR add(double x,
                      double y,
                      double z)

  ITransformable methods

  Specified by:
    `add` in interface `ITransformable`

### add

    public IMeshR add(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`

### add

    public IMeshR add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`

### sub

    public IMeshR sub(double x,
                      double y,
                      double z)

  Specified by:
    `sub` in interface `ITransformable`

### sub

    public IMeshR sub(IDoubleI x,
                      IDoubleI y,
                      IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`

### sub

    public IMeshR sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`

### mul

    public IMeshR mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`

### mul

    public IMeshR mul(double v)

  Specified by:
    `mul` in interface `ITransformable`

### div

    public IMeshR div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`

### div

    public IMeshR div(double v)

  Specified by:
    `div` in interface `ITransformable`

### neg

    public IMeshR neg()

  Specified by:
    `neg` in interface `ITransformable`

### rev

    public IMeshR rev()

  alias of neg

### flip

    public IMeshR flip()

  alias of neg

  Specified by:
    `flip` in interface `ITransformable`

### add

    public IMeshR add(IVecI v,
                      double f)

  scale add

  Specified by:
    `add` in interface `ITransformable`

### add

    public IMeshR add(IVecI v,
                      IDoubleI f)

  scale add

  Specified by:
    `add` in interface `ITransformable`

### add

    public IMeshR add(double f,
                      IVecI v)

  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### add

    public IMeshR add(IDoubleI f,
                      IVecI v)

  scale add alias

  Specified by:
    `add` in interface `ITransformable`

### rot

    public IMeshR rot(IDoubleI angle)

  rotation around z-axis and origin

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI axis,
                      IDoubleI angle)

  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI axis,
                      double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI center,
                      IVecI axis,
                      IDoubleI angle)

  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI center,
                      IVecI axis,
                      double angle)

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI axis,
                      IVecI destDir)

  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`

### rot

    public IMeshR rot(IVecI center,
                      IVecI axis,
                      IVecI destPt)

  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`

### rot2

    public IMeshR rot2(IDoubleI angle)

  rotation on xy-plane around origin; same with rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IMeshR rot2(double angle)

  rotation on xy-plane around origin; same with rot(double)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IMeshR rot2(IVecI center,
                       IDoubleI angle)

  rotation on xy-plane around center

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IMeshR rot2(IVecI center,
                       double angle)

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IMeshR rot2(IVecI destDir)

  rotation on xy-plane to destination direction vector

  Specified by:
    `rot2` in interface `ITransformable`

### rot2

    public IMeshR rot2(IVecI center,
                       IVecI destPt)

  rotation on xy-plane to destination point location

  Specified by:
    `rot2` in interface `ITransformable`

### scale

    public IMeshR scale(IDoubleI f)

  alias of mul

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public IMeshR scale(double f)

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public IMeshR scale(IVecI center,
                        IDoubleI f)

  Specified by:
    `scale` in interface `ITransformable`

### scale

    public IMeshR scale(IVecI center,
                        double f)

  Specified by:
    `scale` in interface `ITransformable`

### scale1d

    public IMeshR scale1d(IVecI axis,
                          double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public IMeshR scale1d(IVecI axis,
                          IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public IMeshR scale1d(IVecI center,
                          IVecI axis,
                          double f)

  Specified by:
    `scale1d` in interface `ITransformable`

### scale1d

    public IMeshR scale1d(IVecI center,
                          IVecI axis,
                          IDoubleI f)

  Specified by:
    `scale1d` in interface `ITransformable`

### ref

    public IMeshR ref(IVecI planeDir)

  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`

### ref

    public IMeshR ref(IVecI center,
                      IVecI planeDir)

  Specified by:
    `ref` in interface `ITransformable`

### mirror

    public IMeshR mirror(IVecI planeDir)

  mirror is alias of ref

  Specified by:
    `mirror` in interface `ITransformable`

### mirror

    public IMeshR mirror(IVecI center,
                         IVecI planeDir)

  Specified by:
    `mirror` in interface `ITransformable`

### shear

    public IMeshR shear(double sxy,
                        double syx,
                        double syz,
                        double szy,
                        double szx,
                        double sxz)

  shear operation

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public IMeshR shear(IDoubleI sxy,
                        IDoubleI syx,
                        IDoubleI syz,
                        IDoubleI szy,
                        IDoubleI szx,
                        IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public IMeshR shear(IVecI center,
                        double sxy,
                        double syx,
                        double syz,
                        double szy,
                        double szx,
                        double sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shear

    public IMeshR shear(IVecI center,
                        IDoubleI sxy,
                        IDoubleI syx,
                        IDoubleI syz,
                        IDoubleI szy,
                        IDoubleI szx,
                        IDoubleI sxz)

  Specified by:
    `shear` in interface `ITransformable`

### shearXY

    public IMeshR shearXY(double sxy,
                          double syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public IMeshR shearXY(IDoubleI sxy,
                          IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public IMeshR shearXY(IVecI center,
                          double sxy,
                          double syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearXY

    public IMeshR shearXY(IVecI center,
                          IDoubleI sxy,
                          IDoubleI syx)

  Specified by:
    `shearXY` in interface `ITransformable`

### shearYZ

    public IMeshR shearYZ(double syz,
                          double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public IMeshR shearYZ(IDoubleI syz,
                          IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public IMeshR shearYZ(IVecI center,
                          double syz,
                          double szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearYZ

    public IMeshR shearYZ(IVecI center,
                          IDoubleI syz,
                          IDoubleI szy)

  Specified by:
    `shearYZ` in interface `ITransformable`

### shearZX

    public IMeshR shearZX(double szx,
                          double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public IMeshR shearZX(IDoubleI szx,
                          IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public IMeshR shearZX(IVecI center,
                          double szx,
                          double sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### shearZX

    public IMeshR shearZX(IVecI center,
                          IDoubleI szx,
                          IDoubleI sxz)

  Specified by:
    `shearZX` in interface `ITransformable`

### mv

    public IMeshR mv(double x,
                     double y,
                     double z)

  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`

### mv

    public IMeshR mv(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Specified by:
    `mv` in interface `ITransformable`

### mv

    public IMeshR mv(IVecI v)

  Specified by:
    `mv` in interface `ITransformable`

### cp

    public IMeshR cp()

  cp() is alias of dup()

  Specified by:
    `cp` in interface `IMeshI`
  Specified by:
    `cp` in interface `ITransformable`
  Overrides:
    `cp` in class `IObject`

### cp

    public IMeshR cp(double x,
                     double y,
                     double z)

  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `IMeshI`
  Specified by:
    `cp` in interface `ITransformable`

### cp

    public IMeshR cp(IDoubleI x,
                     IDoubleI y,
                     IDoubleI z)

  Specified by:
    `cp` in interface `IMeshI`
  Specified by:
    `cp` in interface `ITransformable`

### cp

    public IMeshR cp(IVecI v)

  Specified by:
    `cp` in interface `IMeshI`
  Specified by:
    `cp` in interface `ITransformable`

### translate

    public IMeshR translate(double x,
                            double y,
                            double z)

  translate() is alias of add()

  Specified by:
    `translate` in interface `ITransformable`

### translate

    public IMeshR translate(IDoubleI x,
                            IDoubleI y,
                            IDoubleI z)

  Specified by:
    `translate` in interface `ITransformable`

### translate

    public IMeshR translate(IVecI v)

  Specified by:
    `translate` in interface `ITransformable`

### transform

    public IMeshR transform(IMatrix3I mat)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public IMeshR transform(IMatrix4I mat)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public IMeshR transform(IVecI xvec,
                            IVecI yvec,
                            IVecI zvec)

  Specified by:
    `transform` in interface `ITransformable`

### transform

    public IMeshR transform(IVecI xvec,
                            IVecI yvec,
                            IVecI zvec,
                            IVecI translate)

  Specified by:
    `transform` in interface `ITransformable`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD